{
    "$graph": [
        {
            "label": "Bacterial Annotation, pass 3, structural annotation, functional annotation: ab initio GeneMark, by WP, by HMM (second pass)",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "label": "Resolve Annotation Conflicts/annotation",
                    "id": "#main/annotation"
                },
                {
                    "type": "Directory",
                    "id": "#main/genemark_path"
                },
                {
                    "type": "File",
                    "label": "Map HMM Hits/align",
                    "id": "#main/hmm_aligns"
                },
                {
                    "type": "File",
                    "id": "#main/hmm_params"
                },
                {
                    "type": "File",
                    "id": "#main/hmms_tab"
                },
                {
                    "type": "Directory",
                    "id": "#main/naming_hmms_combined"
                },
                {
                    "type": "File",
                    "id": "#main/naming_sqlite"
                },
                {
                    "type": "File",
                    "label": "Filter Protein Alignments I/align",
                    "id": "#main/prot_aligns"
                },
                {
                    "type": "File",
                    "label": null,
                    "id": "#main/raw_seqs"
                },
                {
                    "type": "string",
                    "id": "#main/scatter_gather_nchunks"
                },
                {
                    "type": "string",
                    "default": "blastdb",
                    "id": "#main/selenocysteines_db"
                },
                {
                    "type": "Directory",
                    "id": "#main/selenoproteins"
                },
                {
                    "type": "Directory",
                    "id": "#main/sequence_cache"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                },
                {
                    "type": "File",
                    "id": "#main/thresholds"
                },
                {
                    "type": "Directory",
                    "id": "#main/uniColl_cache"
                },
                {
                    "type": "File",
                    "id": "#main/wp_hashes"
                }
            ],
            "steps": [
                {
                    "label": "Assign Naming HMM to Proteins",
                    "run": "#assign_hmm.cwl",
                    "in": [
                        {
                            "source": "#main/naming_sqlite",
                            "id": "#main/Assign_Naming_HMM_to_Proteins/db"
                        },
                        {
                            "source": "#main/Search_Naming_HMMs/hmm_hits",
                            "id": "#main/Assign_Naming_HMM_to_Proteins/input"
                        }
                    ],
                    "out": [
                        "#main/Assign_Naming_HMM_to_Proteins/assignments"
                    ],
                    "id": "#main/Assign_Naming_HMM_to_Proteins"
                },
                {
                    "label": "Extract Model Proteins",
                    "run": "#protein_extract.cwl",
                    "in": [
                        {
                            "source": "#main/Run_GeneMark_Post/models",
                            "id": "#main/Extract_Model_Proteins/input"
                        },
                        {
                            "default": true,
                            "id": "#main/Extract_Model_Proteins/nogenbank"
                        }
                    ],
                    "out": [
                        "#main/Extract_Model_Proteins/proteins",
                        "#main/Extract_Model_Proteins/lds2",
                        "#main/Extract_Model_Proteins/seqids"
                    ],
                    "id": "#main/Extract_Model_Proteins"
                },
                {
                    "label": "Find Best Evidence Alignments",
                    "run": "#bact_best_evidence_alignments.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/hmm_aligns",
                                "#main/prot_aligns"
                            ],
                            "id": "#main/Find_Best_Evidence_Alignments/align"
                        },
                        {
                            "source": "#main/annotation",
                            "id": "#main/Find_Best_Evidence_Alignments/annotation"
                        },
                        {
                            "source": [
                                "#main/uniColl_cache",
                                "#main/sequence_cache"
                            ],
                            "id": "#main/Find_Best_Evidence_Alignments/asn_cache"
                        },
                        {
                            "default": 120,
                            "id": "#main/Find_Best_Evidence_Alignments/max_overlap"
                        },
                        {
                            "default": true,
                            "id": "#main/Find_Best_Evidence_Alignments/nogenbank"
                        },
                        {
                            "default": "best_aligns.asn",
                            "id": "#main/Find_Best_Evidence_Alignments/output_align_name"
                        },
                        {
                            "default": 60,
                            "id": "#main/Find_Best_Evidence_Alignments/start_stop_allowance"
                        },
                        {
                            "source": "#main/thresholds",
                            "id": "#main/Find_Best_Evidence_Alignments/thr"
                        },
                        {
                            "source": "#main/naming_sqlite",
                            "id": "#main/Find_Best_Evidence_Alignments/unicoll_sqlite"
                        }
                    ],
                    "out": [
                        "#main/Find_Best_Evidence_Alignments/out_align"
                    ],
                    "id": "#main/Find_Best_Evidence_Alignments"
                },
                {
                    "label": "Name by WPs",
                    "run": "#identify_wp.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#main/Name_by_WPs/fast"
                        },
                        {
                            "default": "seq-entries",
                            "id": "#main/Name_by_WPs/ifmt"
                        },
                        {
                            "source": "#main/Extract_Model_Proteins/lds2",
                            "id": "#main/Name_by_WPs/lds2"
                        },
                        {
                            "source": "#main/Extract_Model_Proteins/proteins",
                            "id": "#main/Name_by_WPs/proteins"
                        },
                        {
                            "source": "#main/Run_GeneMark_Post/models",
                            "id": "#main/Name_by_WPs/sequences"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/Name_by_WPs/taxon_db"
                        },
                        {
                            "source": "#main/wp_hashes",
                            "id": "#main/Name_by_WPs/wp_hashes"
                        }
                    ],
                    "out": [
                        "#main/Name_by_WPs/out_names"
                    ],
                    "id": "#main/Name_by_WPs"
                },
                {
                    "label": "Run GeneMark",
                    "run": "#genemark.cwl",
                    "in": [
                        {
                            "source": "#main/Find_Best_Evidence_Alignments/out_align",
                            "id": "#main/Run_GeneMark/alignments"
                        },
                        {
                            "source": "#main/annotation",
                            "id": "#main/Run_GeneMark/annotation"
                        },
                        {
                            "source": [
                                "#main/uniColl_cache",
                                "#main/sequence_cache"
                            ],
                            "id": "#main/Run_GeneMark/asn_cache"
                        },
                        {
                            "source": "#main/genemark_path",
                            "id": "#main/Run_GeneMark/genemark_path"
                        },
                        {
                            "source": "#main/hmm_params",
                            "id": "#main/Run_GeneMark/hmm_params"
                        },
                        {
                            "default": "marked-annotation.asn",
                            "id": "#main/Run_GeneMark/marked_annotation_name"
                        },
                        {
                            "default": 200,
                            "id": "#main/Run_GeneMark/min_seq_len"
                        },
                        {
                            "default": true,
                            "id": "#main/Run_GeneMark/nogenbank"
                        },
                        {
                            "default": "preliminary-models.asn",
                            "id": "#main/Run_GeneMark/preliminary_models_name"
                        },
                        {
                            "source": "#main/raw_seqs",
                            "id": "#main/Run_GeneMark/sequences"
                        },
                        {
                            "source": "#main/thresholds",
                            "id": "#main/Run_GeneMark/thr"
                        },
                        {
                            "default": "workdir",
                            "id": "#main/Run_GeneMark/tmp_dir_name"
                        }
                    ],
                    "out": [
                        "#main/Run_GeneMark/marked_annotation",
                        "#main/Run_GeneMark/preliminary_models"
                    ],
                    "id": "#main/Run_GeneMark"
                },
                {
                    "label": "Run GeneMark (genemark_post)",
                    "run": "#genemark_post.cwl",
                    "in": [
                        {
                            "default": 60,
                            "id": "#main/Run_GeneMark_Post/abs_short_model_limit"
                        },
                        {
                            "source": [
                                "#main/uniColl_cache",
                                "#main/sequence_cache"
                            ],
                            "id": "#main/Run_GeneMark_Post/asn_cache"
                        },
                        {
                            "source": "#main/Run_GeneMark/preliminary_models",
                            "id": "#main/Run_GeneMark_Post/genemark_annot"
                        },
                        {
                            "default": 113,
                            "id": "#main/Run_GeneMark_Post/max_overlap"
                        },
                        {
                            "default": 5000,
                            "id": "#main/Run_GeneMark_Post/max_unannotated_region"
                        },
                        {
                            "default": "models.asn",
                            "id": "#main/Run_GeneMark_Post/models_name"
                        },
                        {
                            "default": true,
                            "id": "#main/Run_GeneMark_Post/nogenbank"
                        },
                        {
                            "default": "all-proteins.ids",
                            "id": "#main/Run_GeneMark_Post/out_product_ids_name"
                        },
                        {
                            "source": "#main/Run_GeneMark/marked_annotation",
                            "id": "#main/Run_GeneMark_Post/pre_annot"
                        },
                        {
                            "source": "#main/selenoproteins",
                            "id": "#main/Run_GeneMark_Post/selenocysteines"
                        },
                        {
                            "source": "#main/selenocysteines_db",
                            "id": "#main/Run_GeneMark_Post/selenocysteines_db"
                        },
                        {
                            "default": 180,
                            "id": "#main/Run_GeneMark_Post/short_model_limit"
                        },
                        {
                            "source": "#main/naming_sqlite",
                            "id": "#main/Run_GeneMark_Post/unicoll_sqlite"
                        }
                    ],
                    "out": [
                        "#main/Run_GeneMark_Post/models"
                    ],
                    "id": "#main/Run_GeneMark_Post"
                },
                {
                    "label": "Search Naming HMMs",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/sequence_cache",
                            "id": "#main/Search_Naming_HMMs/asn_cache"
                        },
                        {
                            "source": "#main/naming_hmms_combined",
                            "id": "#main/Search_Naming_HMMs/hmm_path"
                        },
                        {
                            "source": "#main/hmms_tab",
                            "id": "#main/Search_Naming_HMMs/hmms_tab"
                        },
                        {
                            "source": "#main/Extract_Model_Proteins/lds2",
                            "id": "#main/Search_Naming_HMMs/lds2"
                        },
                        {
                            "source": "#main/Extract_Model_Proteins/proteins",
                            "id": "#main/Search_Naming_HMMs/proteins"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/Search_Naming_HMMs/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/Extract_Model_Proteins/seqids",
                            "id": "#main/Search_Naming_HMMs/seqids"
                        }
                    ],
                    "out": [
                        "#main/Search_Naming_HMMs/hmm_hits"
                    ],
                    "id": "#main/Search_Naming_HMMs"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/Assign_Naming_HMM_to_Proteins/assignments",
                    "id": "#main/Assign_Naming_HMM_to_Proteins_assignments"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Extract_Model_Proteins/lds2",
                    "id": "#main/Extract_Model_Proteins_lds2"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Extract_Model_Proteins/proteins",
                    "id": "#main/Extract_Model_Proteins_proteins"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Extract_Model_Proteins/seqids",
                    "id": "#main/Extract_Model_Proteins_seqids"
                },
                {
                    "label": "goes to protein_alignment/Seed Search Compartments/compartments",
                    "type": "File",
                    "outputSource": "#main/Find_Best_Evidence_Alignments/out_align",
                    "id": "#main/Find_Best_Evidence_Alignments_aligns"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Name_by_WPs/out_names",
                    "id": "#main/Name_by_WPs_names"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Run_GeneMark_Post/models",
                    "id": "#main/Run_GeneMark_Post_models"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Search_Naming_HMMs/hmm_hits",
                    "id": "#main/Search_Naming_HMMs_hmm_hits"
                }
            ]
        },
        {
            "label": "assign_hmm",
            "class": "CommandLineTool",
            "baseCommand": "assign_hmm",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-db"
                    },
                    "id": "#assign_hmm.cwl/db"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#assign_hmm.cwl/input"
                },
                {
                    "type": "string",
                    "default": "hmm-assignments.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#assign_hmm.cwl/oname"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oname)"
                    },
                    "id": "#assign_hmm.cwl/assignments"
                }
            ],
            "id": "#assign_hmm.cwl"
        },
        {
            "label": "bact_best_evidence_alignments",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "align.mft",
                            "entry": "${var blob = '# align.mft created for bact_best_evidence_alignments from input align Array of Files\\n'; for (var i = 0; i < inputs.align.length; i++) { blob += inputs.align[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "annotation.mft",
                            "entry": "$(inputs.annotation.path)"
                        }
                    ]
                }
            ],
            "baseCommand": "bact_best_evidence_alignments",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/align"
                },
                {
                    "type": "File",
                    "id": "#bact_best_evidence_alignments.cwl/annotation"
                },
                {
                    "type": "string",
                    "default": "annotation.mft",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/annotation_manifest"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#bact_best_evidence_alignments.cwl/asn_cache"
                },
                {
                    "type": "string",
                    "default": "align.mft",
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/input_manifest"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-overlap"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/max_overlap"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "best_aligns.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/output_align_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-start-stop-allowance"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/start_stop_allowance"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/thr"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/unicoll_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_align_name)"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/out_align"
                }
            ],
            "id": "#bact_best_evidence_alignments.cwl"
        },
        {
            "label": "genemark",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "annotation.mft",
                            "entry": "${ var blob = '# annotation.mft created for genemark from input annotation File\\n'; if ( inputs.annotation == null ) { return blob; } else { return blob + inputs.annotation.path; } }"
                        },
                        {
                            "entryname": "sequences.mft",
                            "entry": "${ var blob = '# sequences.mft created for genemark from input sequences File\\n'; if ( inputs.sequences == null) { return blob; }  else { return blob + inputs.sequences.path; } }"
                        },
                        {
                            "entryname": "alignments.mft",
                            "entry": "${ var blob = '# alignments.mft created for genemark from input alignments File\\n'; if ( inputs.alignments == null ) { return blob; }  else { return blob + inputs.alignments.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "genemark",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#genemark.cwl/alignments"
                },
                {
                    "type": "string",
                    "default": "alignments.mft",
                    "inputBinding": {
                        "prefix": "-alignments"
                    },
                    "id": "#genemark.cwl/alignments_manifest"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#genemark.cwl/annotation"
                },
                {
                    "type": "string",
                    "default": "annotation.mft",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#genemark.cwl/annotation_manifest"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#genemark.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-genemark-path"
                    },
                    "id": "#genemark.cwl/genemark_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-hmm-params"
                    },
                    "id": "#genemark.cwl/hmm_params"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "marked-annotation.asn",
                    "inputBinding": {
                        "prefix": "-marked-annotation"
                    },
                    "id": "#genemark.cwl/marked_annotation_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-min_seq_len"
                    },
                    "id": "#genemark.cwl/min_seq_len"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#genemark.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "preliminary-models.asn",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#genemark.cwl/preliminary_models_name"
                },
                {
                    "type": "File",
                    "id": "#genemark.cwl/sequences"
                },
                {
                    "type": "string",
                    "default": "sequences.mft",
                    "inputBinding": {
                        "prefix": "-sequences"
                    },
                    "id": "#genemark.cwl/sequences_manifests"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#genemark.cwl/thr"
                },
                {
                    "type": "string",
                    "default": ".",
                    "inputBinding": {
                        "prefix": "-tmp"
                    },
                    "id": "#genemark.cwl/tmp"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.marked_annotation_name)"
                    },
                    "id": "#genemark.cwl/marked_annotation"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.preliminary_models_name)"
                    },
                    "id": "#genemark.cwl/preliminary_models"
                }
            ],
            "id": "#genemark.cwl"
        },
        {
            "label": "genemark_post",
            "class": "CommandLineTool",
            "baseCommand": "genemark_post",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-abs-short-model-limit"
                    },
                    "id": "#genemark_post.cwl/abs_short_model_limit"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#genemark_post.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-genemark-annot"
                    },
                    "id": "#genemark_post.cwl/genemark_annot"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-overlap"
                    },
                    "id": "#genemark_post.cwl/max_overlap"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-unannotated-region"
                    },
                    "id": "#genemark_post.cwl/max_unannotated_region"
                },
                {
                    "type": "string",
                    "default": "models.asn",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#genemark_post.cwl/models_name"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#genemark_post.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "all-proteins.ids",
                    "inputBinding": {
                        "prefix": "-out-product-ids"
                    },
                    "id": "#genemark_post.cwl/out_product_ids_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-pre-annot"
                    },
                    "id": "#genemark_post.cwl/pre_annot"
                },
                {
                    "type": "Directory",
                    "id": "#genemark_post.cwl/selenocysteines"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-selenocysteines",
                        "valueFrom": "$(inputs.selenocysteines.path)/$(inputs.selenocysteines_db)"
                    },
                    "id": "#genemark_post.cwl/selenocysteines_db"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-short-model-limit"
                    },
                    "id": "#genemark_post.cwl/short_model_limit"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#genemark_post.cwl/unicoll_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.models_name)"
                    },
                    "id": "#genemark_post.cwl/models"
                }
            ],
            "id": "#genemark_post.cwl"
        },
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl/unzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/output"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "label": "hmmsearch_create_jobs",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_create_jobs",
            "arguments": [
                "-no-merge-hmms"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-hmm-path"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-seqids"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/seqids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "workpath",
                    "inputBinding": {
                        "prefix": "-workpath"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workpath"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.workpath)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workdir"
                }
            ],
            "id": "#hmmsearch_create_jobs.cwl"
        },
        {
            "label": "hmmsearch_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.workdir)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entryname": "fam.mft",
                            "entry": "${ var blob = '# fam.mft created for hmmsearch_wnode from input hmms_tab File\\n'; if ( inputs.hmms_tab == null ) { return blob; }  else { return blob + inputs.hmms_tab.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_wnode",
            "arguments": [
                "-backlog",
                "1",
                "-cut_ga",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fam.mft",
                    "inputBinding": {
                        "prefix": "-fam"
                    },
                    "id": "#hmmsearch_wnode.cwl/fam"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/bin",
                    "inputBinding": {
                        "prefix": "-hmmsearch-path"
                    },
                    "id": "#hmmsearch_wnode.cwl/hmmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#hmmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#hmmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "id": "#hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#hmmsearch_wnode.cwl/output"
                }
            ],
            "id": "#hmmsearch_wnode.cwl"
        },
        {
            "label": "identify_wp",
            "class": "CommandLineTool",
            "baseCommand": "identify_wp",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#identify_wp.cwl/asn_cache"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-fast"
                    },
                    "id": "#identify_wp.cwl/fast"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#identify_wp.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#identify_wp.cwl/lds2"
                },
                {
                    "type": "string",
                    "default": "names.xml",
                    "inputBinding": {
                        "prefix": "-onames"
                    },
                    "id": "#identify_wp.cwl/names"
                },
                {
                    "type": "File",
                    "id": "#identify_wp.cwl/proteins"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#identify_wp.cwl/sequences"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#identify_wp.cwl/taxon_db"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-wp-hashes"
                    },
                    "id": "#identify_wp.cwl/wp_hashes"
                }
            ],
            "stderr": "application.log",
            "stdout": "application.out",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.names)"
                    },
                    "id": "#identify_wp.cwl/out_names"
                },
                {
                    "type": "File",
                    "id": "#identify_wp.cwl/stderr",
                    "outputBinding": {
                        "glob": "application.log"
                    }
                },
                {
                    "type": "File",
                    "id": "#identify_wp.cwl/stdout",
                    "outputBinding": {
                        "glob": "application.out"
                    }
                }
            ],
            "id": "#identify_wp.cwl"
        },
        {
            "label": "protein_extract",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#protein_extract.cwl/input"
                },
                {
                    "type": "boolean",
                    "id": "#protein_extract.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/olds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/oproteins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/oseqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/lds2_fix/lds2",
                    "id": "#protein_extract.cwl/lds2"
                },
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/protein_extract/proteins",
                    "id": "#protein_extract.cwl/proteins"
                },
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/protein_extract/seqids",
                    "id": "#protein_extract.cwl/seqids"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#protein_extract.cwl/protein_extract/lds2",
                            "id": "#protein_extract.cwl/lds2_fix/in_lds2"
                        }
                    ],
                    "out": [
                        "#protein_extract.cwl/lds2_fix/lds2"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "requirements": [
                            {
                                "listing": [
                                    {
                                        "entry": "$(inputs.in_lds2)",
                                        "writable": true
                                    }
                                ],
                                "class": "InitialWorkDirRequirement"
                            }
                        ],
                        "baseCommand": "sqlite3",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#protein_extract.cwl/lds2_fix/b83a7019-771b-4058-aa32-7b3392d8bac0/in_lds2"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "update file set file_name=replace(file_name, rtrim(file_name, replace(file_name, '/', '')), '');",
                                "inputBinding": {
                                    "position": 2
                                },
                                "id": "#protein_extract.cwl/lds2_fix/b83a7019-771b-4058-aa32-7b3392d8bac0/sql"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.in_lds2.basename)"
                                },
                                "id": "#protein_extract.cwl/lds2_fix/b83a7019-771b-4058-aa32-7b3392d8bac0/lds2"
                            }
                        ],
                        "id": "#protein_extract.cwl/lds2_fix/b83a7019-771b-4058-aa32-7b3392d8bac0"
                    },
                    "id": "#protein_extract.cwl/lds2_fix"
                },
                {
                    "in": [
                        {
                            "source": "#protein_extract.cwl/input",
                            "id": "#protein_extract.cwl/protein_extract/input"
                        },
                        {
                            "source": "#protein_extract.cwl/nogenbank",
                            "id": "#protein_extract.cwl/protein_extract/nogenbank"
                        },
                        {
                            "source": "#protein_extract.cwl/olds2",
                            "id": "#protein_extract.cwl/protein_extract/olds2"
                        },
                        {
                            "source": "#protein_extract.cwl/oproteins",
                            "id": "#protein_extract.cwl/protein_extract/oproteins"
                        },
                        {
                            "source": "#protein_extract.cwl/oseqids",
                            "id": "#protein_extract.cwl/protein_extract/oseqids"
                        }
                    ],
                    "out": [
                        "#protein_extract.cwl/protein_extract/proteins",
                        "#protein_extract.cwl/protein_extract/lds2",
                        "#protein_extract.cwl/protein_extract/seqids"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": "protein_extract",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "prefix": "-input"
                                },
                                "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06/input"
                            },
                            {
                                "type": "boolean",
                                "inputBinding": {
                                    "prefix": "-nogenbank"
                                },
                                "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06/nogenbank"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "LDS2",
                                "inputBinding": {
                                    "prefix": "-olds2"
                                },
                                "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06/olds2"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "proteins.asn",
                                "inputBinding": {
                                    "prefix": "-o"
                                },
                                "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06/oproteins"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "proteins.seq_ids",
                                "inputBinding": {
                                    "prefix": "-oseqids"
                                },
                                "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06/oseqids"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.olds2)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06/lds2"
                            },
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.oproteins)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06/proteins"
                            },
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.oseqids)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06/seqids"
                            }
                        ],
                        "id": "#protein_extract.cwl/protein_extract/bd88cf3c-c1e0-4224-9f44-7e3a1a293d06"
                    },
                    "id": "#protein_extract.cwl/protein_extract"
                }
            ],
            "id": "#protein_extract.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "file concatenation",
            "baseCommand": "cat",
            "stdout": "cat.out",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat_array_of_files.cwl/files_in"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat_array_of_files.cwl/file_out",
                    "outputBinding": {
                        "glob": "cat.out"
                    }
                }
            ],
            "id": "#cat_array_of_files.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "cwl split wrapper",
            "baseCommand": "split",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-l"
                    },
                    "id": "#split.cwl/chunk_size"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#split.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs",
                    "inputBinding": {
                        "position": 5,
                        "valueFrom": "$(inputs.mask)"
                    },
                    "id": "#split.cwl/mask"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-n l//",
                        "separate": false
                    },
                    "id": "#split.cwl/nchunks"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": ".xml",
                    "inputBinding": {
                        "position": 3,
                        "separate": false,
                        "prefix": "--additional-suffix="
                    },
                    "id": "#split.cwl/suffix"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "$(inputs.mask)?*$(inputs.suffix)"
                    },
                    "id": "#split.cwl/jobs"
                }
            ],
            "id": "#split.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_hmmsearch_wnode.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/collect_hmm_results/file_out",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_hits"
                },
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                    "id": "#tt_hmmsearch_wnode.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                    "id": "#tt_hmmsearch_wnode.cwl/workdir"
                }
            ],
            "steps": [
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/output",
                            "id": "#tt_hmmsearch_wnode.cwl/collect_hmm_results/files_in"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/collect_hmm_results/file_out"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/collect_hmm_results"
                },
                {
                    "run": "#hmmsearch_create_jobs.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/seqids",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/seqids"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs"
                },
                {
                    "run": "#tt_hmmsearch_wnode_plus_qdump.cwl",
                    "scatter": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/input_jobs",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/split_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/split_jobs/input"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/scatter_gather_nchunks",
                            "id": "#tt_hmmsearch_wnode.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/split_jobs/jobs"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/split_jobs"
                }
            ],
            "id": "#tt_hmmsearch_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "hmmsearch_wnode and gpx_qdump combined workflow to apply scatter/gather",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/output"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/output",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/input_path"
                        },
                        {
                            "default": "hmm_hits.asn",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output_name"
                        },
                        {
                            "default": "*",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump"
                },
                {
                    "run": "#hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/input_jobs",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/workdir",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/output"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode"
                }
            ],
            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
